audiofile (0.3.6-5+deb10u1build0.23.10.1) mantic-security; urgency=medium

  * fake sync from Debian

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Thu, 14 Dec 2023 10:47:18 +0100

audiofile (0.3.6-5+deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2019-13147: Fix a DOS due integer overflow.
    Bail out early if NeXT audiofile.
    support allocate more than INT_MAX/8 channels.
    (Closes: #931343).
  * Fix CVE-2022-24599: Fix a memory leak by reading not null
    terminated copyright field (Closes: #1008017).
  * Add salsaci testing

 -- Bastien Roucariès <rouca@debian.org>  Sun, 12 Nov 2023 11:21:17 +0000

audiofile (0.3.6-5) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Moritz Mühlenhoff ]
  * Two security fixes from the https://github.com/wtay/audiofile fork:
    CVE-2018-13440 (Closes: #903499)
    CVE-2018-17095 (Closes: #913166)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Apr 2019 16:13:16 +0200

audiofile (0.3.6-4) unstable; urgency=high

  * Team upload.
  * debian/patches: Apply patches to fix CVE-2017-6827, CVE-2017-6828,
    CVE-2017-6829, CVE-2017-6830, CVE-2017-6831, CVE-2017-6832, CVE-2017-6833,
    CVE-2017-6834, CVE-2017-6835, CVE-2017-6836, CVE-2017-6837, CVE-2017-6838,
    CVE-2017-6839. (Closes: #857651)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Mar 2017 21:43:45 +0100

audiofile (0.3.6-3) unstable; urgency=high

  * Team upload.

  * Add patches to:
    - Fix CVE-2015-7747: buffer overflow when changing both sample format and
      number of channels. (Closes: #801102)
    - Fix FTBFS with GCC 6. (Closes: #812055)
    - Remove usage of PATH_MAX to fix FTBFS on Hurd. (Closes: #762595)
  * Drop -dbg package in favour of the automatic dbgsym package.
  * Bump standards version to 3.9.8.
  * Use secure Vcs URLs.

 -- James Cowgill <jcowgill@debian.org>  Tue, 14 Jun 2016 15:05:46 +0100

audiofile (0.3.6-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 May 2013 09:19:52 +0200

audiofile (0.3.6-1) experimental; urgency=low

  * New upstream release:
    - Implement FLAC and ALAC encoding and decoding.
    - Update license to LGPL 2.1
  * Build-depend on libflac-dev and pkg-config.
  * Install library manpages into the proper path /usr/share/man/man3.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Fri, 08 Mar 2013 14:28:14 +0000

audiofile (0.3.5-1) experimental; urgency=low

  * New upstream release:
    - Implement IMA ADPCM encoding and decoding for AIFF-C, CAF,
      and WAVE files.
    - Implement Microsoft ADPCM encoding for WAVE files.
    - Fix calculation of IRCAM frame size.
    - Record marker comments in WAVE files.
    - Improve validation of compressed audio formats.
    - Add support for building without documentation.
  * Re-enable build of static libs.
  * Adjust debian/gbp.conf according to "experimental" setup.
  * Remove 0001-ftbfs_tmp_unique_fnames.patch, applied upstream.
  * Refresh debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 Feb 2013 19:45:59 +0000

audiofile (0.3.4-2) unstable; urgency=low

  * Under certain conditions tests would fail as /tmp/test might
    not be writeable. Thanks to Giovanni Mascellani for the great
    work. (Closes: #687405)

 -- Alessio Treglia <alessio@debian.org>  Sun, 14 Oct 2012 12:23:50 +0100

audiofile (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Bump requirement on DH 9.
  * Update debian/copyright to the machine-readable format.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 May 2012 10:41:40 +0200

audiofile (0.3.3-3) unstable; urgency=low

  [ Paul Wise ]
  * Fix typo noticed by wald0:
    - debian/rules: override_dh_makehslibs -> override_dh_makeshlibs

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Feb 2012 11:34:17 +0100

audiofile (0.3.3-2) unstable; urgency=low

  * Move sfinfo and sfconvert tools into a new audiofile-tools package;
    thanks to Jakub Wilk for having reported this (Closes: #656883).
    - The utilities provided by audiofile-tools are not needed
      by the shared library to work properly, so there's no
      need to set a Multi-Arch: foreign field.

 -- Alessio Treglia <alessio@debian.org>  Sun, 22 Jan 2012 20:50:31 +0100

audiofile (0.3.3-1) unstable; urgency=low

  * Upload to unstable.
  * Remove debian/README.* files, which contain outdate information.
  * Remove audiofile-config's manpage, it is no longer provided.
  * Don't install TODO as -dev's doc file.

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 Jan 2012 21:43:29 +0100

audiofile (0.3.3-1~exp1) experimental; urgency=low

  * New upstream release.
  * SONAME bump.
  * Add pkg-config to libaudiofile-dev's Recommends field.
  * Move debugging symbols from libaudiofile0-dbg to unversioned
    libaudiofile-dbg.
  * Remove obsolete Conflicts/Replaces on libaudiofile0 (<= 0.2.3-4)
    from libaudiofile-dev's stanza.

 -- Alessio Treglia <alessio@debian.org>  Thu, 12 Jan 2012 10:26:34 +0100

audiofile (0.3.2-1) experimental; urgency=low

  * New maintainer, thanks to Daniel Kobras for the great work.
  * New upstream stable release.
  * Update debian/watch.
  * Remove debian/patches, all patches are obsolete or adopted upstream.
  * Drop libaudiofile0.symbols, use dh_makeshlibs -V for now.
  * Drop audiofile.m4 as it's no longer provided.
  * Build-Depends on libasound2-dev to build the example program.
  * Don't provide static library anymore.
  * Add MultiArch support. (Closes: #651029) (LP: #900153)
  * Add ${shlibs:Depends} to the -DEV's Depends field.
  * Pass --enable-static=no to configure.
  * Update debian/copyright.
  * Enable parallel builds.

 -- Alessio Treglia <alessio@debian.org>  Thu, 05 Jan 2012 13:03:34 +0100

audiofile (0.2.7-1) unstable; urgency=low

  * New maintainer.
    Thanks to Daniel Kobras <kobras@debian.org> for the great work done!
  * ACK NMU.
  * debian/*: wrap-and-sort
  * Update debian/watch.
  * Introduce Multi-Arch support.
  * Add shlibs:Depends to -DEV's Build-Depends field.

 -- Alessio Treglia <alessio@debian.org>  Sun, 15 Jan 2012 00:07:07 +0100

audiofile (0.2.7-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release (Closes: #586686):
    - Fix decoding of multi-channel ADPCM WAVE files.
    - Reduce unshared data in library.
    - Fix handling of audio files with more than 2^24 frames.
    - Add support for writing double-precision floating-point WAVE files.
    - Add support for reading certain uncompressed AIFF-C files created by
      Mac OS X.
    - Write fact chunk in floating-point WAVE files.
    A big 'thank you!' goes to the upstream author Michael Pruett for
    the great help.
  * Switch packaging to source format 3.0 (quilt).
  * Switch to DH 7 short-form:
    - Add ${misc:Depends} to packages' Depends fields.
  * Convert patches to the quilt format and then:
    - 10_update_docs: adopted upstream.
    - 10_update_libtool: not needed anymore as DH's autotools_dev add-on is
      used now
    - 10_export_vfs: applied upstream.
    - 10_pack_real_char3: refresh'd.
    - 10_incorrect_wav_size: applied upstream.
    - 10_au_length_unspecified: refresh'd.
    - 10_support_nonstandard_aiffc: adopted upstream.
    - 10_sfinfo_no_options: refresh'd.
    - 10_sfconvert_add_nist_support: applied upstream.
    - 10_warning_fixes: applied upstream.
    - 10_m4_quoting_fix: applied upstream.
    - 10_include_audiofile_in_af_vfs: refresh'd.
    - 10_pkgconfig_privlibs: dropped to avoid FTBFS with new toolchain.
    - 10_float_size_calculation_fix: refresh'd.
    - 20_exports_vpath_fix{,up}: applied upstream.
    - 22_CVE-2008-5824: superseded upstream.
  * Strip unneeded *.la files from -DEV package.
  * Add symbols file.
  * Add watch file.
  * Add Homepage.
  * Improve libaudiofile0-dbg's short description, fix Lintian's
    duplicate-short-description warning.
  * Fix Lintian's "binary-control-field-duplicates-source field" warning.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 25 Aug 2011 13:28:27 +0200

audiofile (0.2.6-8) unstable; urgency=low

  * Added patches:
    + [10_float_size_calculation_fix] New.
      Fix incorrect calculation of WAV sizes due to rounding errors.
      Patch thanks to Thomas Eschenbacher. Closes: #443888
  * debian/compat, debian/rules: No longer set debhelper compat level from
    rules file.
  * debian/control: Move dbg package to section debug, priority extra.
  * debian/control: Replace Source-Version substitutions with
    binary:Version.
  * debian/control: Complies with version 3.8.3 of Debian policy.
  * debian/README.source: Refer to dpatch documentation.

 -- Daniel Kobras <kobras@debian.org>  Sun, 06 Dec 2009 20:15:09 +0100

audiofile (0.2.6-7.1) unstable; urgency=medium

  * Non-maintainer upload by the Security Team.
  * CVE-2008-5824: Fix buffer overflow when decompressing MS ADPCM .wav files
    (closes: #510205).

 -- Stefan Fritsch <sf@debian.org>  Sat, 28 Nov 2009 15:41:28 +0100

audiofile (0.2.6-7) unstable; urgency=low

  * Added patches:
    + [20_exports_vpath_fix]
    + [21_exports_vpath_fixup]
      Add full path to symbol exports file to failure during VPATH builds.
    + [10_pkgconfig_privlibs]
      In pkgconfig file, strip libs section to minimal content and declare
      additional libraries as private. Closes: #374014
  * debian/audiofile-config.1: Add note to man page that audiofile-config
    is deprecated in favour of pkg-config.
  * debian/control: Add new package libaudiofile0-dbg, containing
    debugging symbols.
  * debian/control: Raise minimum version of debhelper build dependency
    to 5.
  * debian/control: Complies with version 3.7.2 of Debian policy.
  * debian/rules: Build binaries in separate obj directory rather than
    in-tree. Fixes errors when rebuilding. Closes: #424108
  * debian/rules: Raise debhelper compatibility level to 5 to enable
    proper support for debug packages.
  * debian/rules: Place stripped debugging symbols of libaudiofile0 in
    separate debug package.
  * debian/sfconvert.1, debian/sfinfo.1: Update list of supported
    file formats in man pages. Closes: #408847

 -- Daniel Kobras <kobras@debian.org>  Mon, 18 Jun 2007 22:49:46 +0200

audiofile (0.2.6-6) unstable; urgency=low

  * Added patches:
    [10_include_audiofile_in_af_vfs] New.
    af_vfs.h relies on audiofile.h being included already, so force the
    include. Closes: #300391

 -- Daniel Kobras <kobras@debian.org>  Sat, 19 Mar 2005 19:43:13 +0100

audiofile (0.2.6-5) unstable; urgency=low

  * Added patches:
    + [10_au_length_unspecified] New.
      Handle .au files with a length field of 0xffffffff (meaning
      unspecified). Closes: #264882
    + [10_sfconvert_add_nist_support] New, pulled from upstream BK tree.
      Add support for converting to the NIST SPHERE file format.
    + [10_support_nonstandard_aiffc] New, pulled from upstream BK tree.
      Add support for reading nonstandard uncompressed AIFF-C files created
      by Mac OS X.

 -- Daniel Kobras <kobras@debian.org>  Sat, 27 Nov 2004 22:06:57 +0100

audiofile (0.2.6-4) unstable; urgency=low

  * Added patches:
    + [10_m4_quoting_fix] New, pulled from upstream BK tree.
      Add a missing quote in audiofile.m4 to prevent breakage with
      automake 1.8. Closes: #254131
    + [10_update_docs] New, pulled from upstream BK tree.
      Update documentation of API functions.
  * Updated patches:
    + [10_export_vfs]
      Replaced own version with upstream fix.
  * Removed patches:
    + [11_local_syms]
      Obsoleted by export_vfs update.

 -- Daniel Kobras <kobras@debian.org>  Mon, 14 Jun 2004 12:46:11 +0200

audiofile (0.2.6-3) unstable; urgency=low

  * Added patches:
    + [10_pack_real_char3] New.
      Convince gcc on ARM to only use three bytes of storage for a certain
      struct. Fixes 24bit support and regressions on ARM.
  * Removed patches:
    + [20_verbose_test_output] Obsolete.

 -- Daniel Kobras <kobras@debian.org>  Sun, 14 Mar 2004 01:45:04 +0100

audiofile (0.2.6-2) unstable; urgency=low

  * debian/rules: Make use of overridden CFLAGS.
  * Added patches:
    + [10_export_vfs] New.
      Use wildcards in exports file to ensure the complete namespace gets
      exported. Closes: #237336
    + [11_local_syms] New.
      Some non-exported functions used the af* namespace. Changed to _af*
      for consistency, and to facilitate wildcard matching in the exports
      file.
    + [10_warning_fixes] New.
      Add misc #includes in test files to silence compiler warnings.
    + [20_verbose_test_output] New.
      Enable debugging output in twentyfour test in order to catch
      regressions on ARM.

 -- Daniel Kobras <kobras@debian.org>  Thu, 11 Mar 2004 13:31:41 +0100

audiofile (0.2.6-1) unstable; urgency=low

  * New upstream version.
  * Added patches:
    + [10_update_libtool] New.
      Use recent libtool 1.5.2 as requested by KFreeBSD porters.
      Closes: #218376
  * Removed patches:
    + [10_string_include] Merged upstream.
    + [10_namespace_cleanup] Obsolete.
      Upstream now uses a separate file containing all exported symbol names.
  * debian/copyright: Update addresses and copyright information.
  * debian/rules: Run regression tests unless cross-compiling.

 -- Daniel Kobras <kobras@debian.org>  Tue,  9 Mar 2004 15:58:02 +0100

audiofile (0.2.4-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: Move sfconvert and sfinfo binaries into -dev
    package as per policy.
  * debian/rules: Replace dh_movefiles with dh_install; bump debhelper
    compat to 4.
  * debian/rules: Switch to dpatch.
  * debian/control: Build-depend on dpatch.
  * debian/control: Bump versioned build-dependency on debhelper.
  * debian/control: Sanitize package descriptions.
  * debian/control: Complies with standards version 3.6.1.
  * debian/control: Change section of dev package to libdevel.
  * debian/control: Add conflicts/replaces to accomodate move of
    sf* binaries.
  * Applied patches:
    + [10_incorrect_wav_size] Old, converted to dpatch.
      Be lenient on WAV files with buggy size entry, provided all
      required chunks are present.
    + [10_namespace_cleanup] Old, converted to dpatch.
      Don't spill internal symbols into global namespace.
    + [10_sfinfo_no_options] Old, converted to dpatch.
    + [10_string_include] New.
      Include string.h to fix warning on 64bit archs.

 -- Daniel Kobras <kobras@debian.org>  Sun,  9 Nov 2003 15:12:25 +0100

audiofile (0.2.3-4) unstable; urgency=low

  * Implements afOpenVirtualFile(), so applications can actually make
    use of the API exposed in af_vfs.h. (Kudos to Daniel Schepler
    <schepler@math.berkeley.edu>.)
  * Include shlibs dependency on this version and up.  That's because
    the above amounts to an API change, or rather an API fix.  Previous
    versions declared the function in the headers, but didn't implement
    a stub in the lib itself.  Same with some of the changes between
    0.1.9, and 0.2.0, so it's really high time we add a shlibs version.

 -- Daniel Kobras <kobras@debian.org>  Fri,  1 Mar 2002 22:30:08 +0100

audiofile (0.2.3-3) unstable; urgency=low

  * Keep audiofile from looping endlessly on broken wave files whose
    header advertises too large a file size.

 -- Daniel Kobras <kobras@debian.org>  Fri,  1 Feb 2002 14:51:18 +0100

audiofile (0.2.3-2) unstable; urgency=low

  * Fix gross namespace pollution from audiofile-internal symbols.
    Closes: #128465

 -- Daniel Kobras <kobras@debian.org>  Mon, 21 Jan 2002 00:15:04 +0100

audiofile (0.2.3-1) unstable; urgency=low

  * New upstream version.
  * Configure with explicit host and build arch.
  * Don't clobber upstream config.{guess,sub}.

 -- Daniel Kobras <kobras@debian.org>  Fri, 26 Oct 2001 11:42:08 +0200

audiofile (0.2.2-2) unstable; urgency=low

  * From upstream CVS: support ADPCM decoding. Closes: #88962
  * From upstream CVS: afQuery() can return info on compression type.

 -- Daniel Kobras <kobras@debian.org>  Tue, 18 Sep 2001 09:22:12 +0200

audiofile (0.2.2-1) unstable; urgency=low

  * New upstream version.
  * Adjusted sfconvert man page to new options.
  * Reverted compression fix for Sun/NeXT, superceded by upstream changes.
  * New maintainer.

 -- Daniel Kobras <kobras@debian.org>  Wed, 25 Jul 2001 11:32:09 +0200

audiofile (0.2.1-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Revert bogus change to ltmain.sh.
  * Stop messing with config.{guess,sub}, link to version from
    autotools-dev instead.

 -- Daniel Kobras <kobras@debian.org>  Wed, 13 Jun 2001 09:55:54 +0200

audiofile (0.2.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix length miscalculation on compressed Sun/NeXT data. Closes: #94489
  * Include hppa/ia64-aware config.sub/config.guess. Closes: #94804
  * Versioned debhelper build dependency.

 -- Daniel Kobras <kobras@debian.org>  Thu, 31 May 2001 11:39:41 +0200

audiofile (0.2.1-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version. Works on 8bit wavs. Fixes: #60793
  * Added build-dependency on debhelper. Fixes: #70138
  * Added manpages for supplied binaries. Brief documentation in doc/
    excluded now.
  * Removed test programs from binary distribution.

 -- Daniel Kobras <kobras@debian.org>  Wed, 14 Mar 2001 14:41:05 +0100

audiofile (0.1.9-0.1) unstable; urgency=low

  * New upstream version.
  * Apply patch to audiofile.m4 (fixes: bug#42523)

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 26 Sep 1999 10:36:56 -0400

audiofile (0.1.7-2) unstable; urgency=low

  * Added manpage for audiofile-config; thanks to Roland Rosenfeld
    <roland@debian.org> (closes bug #39479)
  * Rebuilt on potato - fixes reported problem w/ enlightenment

 -- Jeff Licquia <licquia@debian.org>  Sat, 19 Jun 1999 00:50:44 -0500

audiofile (0.1.7-1) unstable; urgency=low

  * New maintainer
  * New upstream version

 -- Jeff Licquia <licquia@debian.org>  Sat,  5 Jun 1999 00:42:53 -0500

audiofile (0.1.6-1) unstable; urgency=low

  * New upstream release
  * Added undocumented manpage for audiofile-config

 -- Brian M. Almeida <bma@debian.org>  Fri, 12 Mar 1999 18:22:53 -0500

audiofile (0.1.6-0.1) unstable; urgency=low

  * Non-maintainer upload for GNOME 1.0

 -- Jules Bean <jules@debian.org>  Fri,  5 Mar 1999 10:22:33 +0000

audiofile (0.1.5-5) unstable; urgency=low

  * Added extra documentation (#32366)

 -- Brian M. Almeida <bma@debian.org>  Wed,  3 Feb 1999 13:13:08 -0500

audiofile (0.1.5-4) unstable; urgency=low

  * Added audiofile.m4 to libaudiofile-dev

 -- Brian M. Almeida <bma@debian.org>  Mon, 25 Jan 1999 09:34:35 -0500

audiofile (0.1.5-3) unstable; urgency=low

  * Forgot to add audiofile-config to libaudiofile-dev

 -- Brian M. Almeida <bma@debian.org>  Sat, 16 Oct 1998 20:25:35 -0500

audiofile (0.1.5-2) unstable; urgency=low

  * Upstream CVS snapshot (19990112), needed for newest esound/eMusic

 -- Brian M. Almeida <bma@debian.org>  Tue, 12 Jan 1999 17:35:35 -0500

audiofile (0.1.5-1) unstable; urgency=low

  * Initial Release. (Made from CVS 19981014 snapshot, since shared libs
    are broken in the official release)

 -- Brian M. Almeida <bma@debian.org>  Sun,  4 Oct 1998 17:35:35 -0400

